forpy 2

Public Member Functions | Private Member Functions | Friends | List of all members
forpy::ClassificationError Class Reference
Impurity Measures

Computes the classification error as \(1-\max(p_i)\). More...

`#include <classificationerror.h>`

Inheritance diagram for forpy::ClassificationError:

## Public Member Functions
| ClassificationError ()
| ~ClassificationError ()
float | operator() (const float *class_members_numbers, const size_t &n, const float &fsum) const
bool | operator== (const IEntropyFunction &rhs) const
Public Member Functions inherited from forpy::IEntropyFunction
virtual | ~IEntropyFunction ()
virtual float | operator() (const std::vector< float > &class_members_numbers, const float &fsum) const
| The interface function that must be implemented. More...
virtual float | operator() (const std::vector< float > &class_members_numbers) const
| Classical entropy calculation function. More...

## Private Member Functions
| DISALLOW_COPY_AND_ASSIGN (ClassificationError)
template<class Archive >
void | serialize (Archive &ar, const uint &)

## Friends
class | cereal::access
std::ostream & | operator<< (std::ostream &stream, const ClassificationError &)

## Additional Inherited Members
Protected Member Functions inherited from forpy::IEntropyFunction
| IEntropyFunction ()

## Detailed Description

Computes the classification error as \(1-\max(p_i)\).

Definition at line 22 of file classificationerror.h.

## Constructor & Destructor Documentation

## ◆ ClassificationError()

forpy::ClassificationError::ClassificationError | ( |  | ) |

## ◆ ~ClassificationError()

forpy::ClassificationError::~ClassificationError | ( |  | ) |

## Member Function Documentation

## ◆ DISALLOW_COPY_AND_ASSIGN()

forpy::ClassificationError::DISALLOW_COPY_AND_ASSIGN | ( | ClassificationError |  | ) |
| private

## ◆ operator()()

float forpy::ClassificationError::operator() | ( | const float * | class_members_numbers,
|  | const size_t & | n,
|  | const float & | fsum
| ) |  | const
| inline virtual

Reimplemented from forpy::IEntropyFunction.

Definition at line 27 of file classificationerror.h.

## ◆ operator==()

bool forpy::ClassificationError::operator== | ( | const IEntropyFunction & | rhs | ) | const
| virtual

Deep equality comparison.

Reimplemented from forpy::IEntropyFunction.

## ◆ serialize()

template<class Archive >

void forpy::ClassificationError::serialize | ( | Archive & | ar,
|  | const uint & |
| ) |  |
| inline private

Definition at line 49 of file classificationerror.h.

## Friends And Related Function Documentation

## ◆ cereal::access

friend class cereal::access
| friend

Definition at line 47 of file classificationerror.h.

## ◆ operator<<

std::ostream& operator<< | ( | std::ostream & | stream,
|  | const ClassificationError & |
| ) |  |
| friend

Definition at line 37 of file classificationerror.h.

The documentation for this class was generated from the following file:

- /Users/classner/git/forpy/include/forpy/impurities/classificationerror.h